class rails_deploy::pumaconf () {
  file { "/usr/app/${rails_deploy::appname}/config/puma.rb":
    ensure  => file,
    content => template('rails_deploy/puma.conf.erb'),
  }->

  file { ['shared/pids', 'shared/sockets', 'shared/log']:
    ensure => directory,
    owner  => $rails_deploy::user,
  }->

  package { 'wget': ensure => present, }->

  archive { "/usr/app/${rails_deploy::appname}/puma-manager.conf":
    path     => "/usr/app/${rails_deploy::appname}/",
    ensure   => present,
    source   => 'https://raw.githubusercontent.com/puma/puma/master/tools/jungle/upstart/puma-manager.conf',
    extract  => false,
    creates  => "/usr/app/${rails_deploy::appname}/puma-manager.conf",
    provider => wget,
  }->
  archive { '/etc/init/puma.conf':
    path     => "/etc/init/",
    ensure   => present,
    source   => 'https://raw.githubusercontent.com/puma/puma/master/tools/jungle/upstart/puma.conf',
    user     => $rails_deploy::user,
    extract  => false,
    creates  => '/etc/init/puma.conf',
    provider => wget,
  }->
  
  file_line{ 'Append a line to /etc/init/puma.conf':
  path => '/etc/init/puma.conf',  
  line => "setuid ${rails_deploy::user}",
  match   =>'^setuid\s[a-zA-Z]*' 
  }->
  
   file_line{ 'Append a line to //etc/init/puma.conf':
  path => '/etc/init/puma.conf',  
  line => "setgid ${rails_deploy::usergroup}",
  match   =>'^setgid\s[a-zA-Z]*' 
  }->
  
  exec {"service puma start app=/usr/app/${rails_deploy::appname}": provider => shell}
  

  

}