class rails_deploy::ruby ($ruby_version = '2.2.3', $git_code = "bsvin33t/simple_rails_app.git") {
  
  exec { 'sudo apt-get install git-core curl zlib1g-dev build-essential libssl-dev libreadline-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt1-dev libcurl4-openssl-dev python-software-properties libffi-dev
': } ->
  
  exec { 'get key for rvm':
    command  => 'pg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3',
    provider => shell,
  } ->
  
  exec { 'get rvm':
    command  => 'curl -sSL https://get.rvm.io | bash -s stable --rails',
    provider => shell,
  } ->
  
  exec { 'source scripts':
    command  => 'source ~/.rvm/scripts/rvm',
    provider => shell,
  } ->
  
  exec { 'install ruby':
    command  => "rvm install ${ruby_version}",
    provider => shell,
  } ->
  
  exec { 'rvm use ruby_version': provider => shell, } ->
  
  exec { 'gem install rails': provider => shell, } ->
  
  file { ['/usr', '/usr/app']:
    ensure => directory,
    owner  => $rails_deploy::user,
  } ->
  
  exec { "sudo git clone https://github.com/${git_code}":
    provider => shell,
    cwd      => '/usr/app',
  }

  exec { 'sudo apt-get install libpq-dev': provider => shell, } ->
  
  exec { 'bundle':
    provider => shell,
    cwd      => '/usr/app'
  }

}

